be.ehealth.businessconnector.mycarenet.memberdatav2.session.impl

## Class MemberDataServiceImpl

- java.lang.Object
- - be.ehealth.businessconnector.mycarenet.memberdatav2.session.impl.MemberDataServiceImpl

- All Implemented Interfaces:
    MemberDataService

      public class MemberDataServiceImpl
      extends Object
      implements MemberDataService

  A simplified interface to access the MemberData service Implements : `MemberDataService`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemberDataServiceImpl(SessionValidator sessionValidator)` Instantiates a new Member Data Sync service impl.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MemberDataConsultationResponse` | `consultMemberData(MemberDataConsultationRequest request)` Sends the consult MemberData request to the WS (needs a Session to be active, token is retrieved from the session)

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MemberDataServiceImpl

          public MemberDataServiceImpl(SessionValidator sessionValidator)
                                throws TechnicalConnectorException

      Instantiates a new Member Data Sync service impl.
      Parameters:
        `sessionValidator` - the sessionValidator
      Throws:
        `TechnicalConnectorException` - the technical connector exception

  - ### Method Detail

    - #### consultMemberData

          public MemberDataConsultationResponse consultMemberData(MemberDataConsultationRequest request)
                                                           throws TechnicalConnectorException

      Description copied from interface: `MemberDataService`
      Sends the consult MemberData request to the WS (needs a Session to be active, token is retrieved from the session)
      Specified by:
        `consultMemberData` in interface `MemberDataService`
      Parameters:
        `request` - the consultation request
      Returns:
        the WS response
      Throws:
        `TechnicalConnectorException` - the technical connector exception

Connector Packaging PERSNURSE 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.